<?xml version="1.0" encoding="UTF-8"?>
<wsdl:definitions targetNamespace="http://localhost:8080/axis/Factory.jws" xmlns="http://schemas.xmlsoap.org/wsdl/" xmlns:apachesoap="http://xml.apache.org/xml-soap" xmlns:impl="http://localhost:8080/axis/Factory.jws" xmlns:intf="http://localhost:8080/axis/Factory.jws" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:wsdlsoap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <wsdl:message name="orderRequest">
    <wsdl:part name="product" type="xsd:string"/>
    <wsdl:part name="quantity" type="xsd:double"/>
  </wsdl:message>
  <wsdl:message name="orderResponse">
    <wsdl:part name="orderReturn" type="xsd:double"/>
  </wsdl:message>
  <wsdl:portType name="Factory">
    <wsdl:operation name="order" parameterOrder="product quantity">
      <wsdl:input message="intf:orderRequest" name="orderRequest"/>
      <wsdl:output message="intf:orderResponse" name="orderResponse"/>
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="FactorySoapBinding" type="intf:Factory">
    <wsdlsoap:binding style="rpc" transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="order">
      <wsdlsoap:operation soapAction=""/>
      <wsdl:input name="orderRequest">
        <wsdlsoap:body encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="http://DefaultNamespace" use="encoded"/>
      </wsdl:input>
      <wsdl:output name="orderResponse">
        <wsdlsoap:body encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="http://localhost:8080/axis/Factory.jws" use="encoded"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="FactoryService">
    <wsdl:port binding="intf:FactorySoapBinding" name="Factory">
      <wsdlsoap:address location="http://localhost:8080/axis/Factory.jws"/>
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>